Subject: bug#48342: native-comp emacs gets into an infinite loop at startup if no .el files are available

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 02 Jul 2022 18:44:35 +0200

Andrea Corallo <[email-masked]> writes:

>> I guess when we find that a source for some .elc file is not
>> available, we should add its .el name to
>> native-comp-deferred-compilation-deny-list?
>
> Good idea that's probably the best fix.  I'll come-up with a patch for
> this.

I did an even simpler fix in Emacs 29 -- if we're in an Emacs without
.el files, I make maybe_swap_for_eln disable the warning, and that seems
to fix the issue.  (I check for "simple.el" -- if we don't have that,
then we probably don't have any .el files.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no